#
# $Id: install_checker_manager_test.rb,v 1.1 2004/01/17 12:02:26 hn Exp $
# Copyright Narushima Hironori. All rights reserved.
#

project_dir = File.dirname(__FILE__).sub(/(com.narucy.webpub.core).+/, '\1')
Dir.chdir project_dir
$: << project_dir + '/scripts/lib'

require 'test/unit'
require 'webpub/install_checker_manager'
require 'ftools'

=begin

=end
class InstallCheckerManager < Test::Unit::TestCase

	def create_test_mgr
		dir = File.dirname(__FILE__)
		files = %w!amrita_checker.rb rd_checker.rb interpreter_checker.rb!.map { |f|
			f = File.join(dir, f)
			assert File.exist?(f)
			f
		}
		
		classes = %w!
			WebPub::AmritaChecker
			WebPub::RDChecker
			WebPub::InterpreterChecker
		!
		
		i = 0
		args = %w!amrita rd interpreter!.map { |key|
			l = [key, files[i], classes[i]]
			i += 1
			l
		}.flatten
		
		WebPub::InstallCheckerManager::new_as_args(args)
	end

	def test_install_check
		mgr = create_test_mgr
		assert_equal(3, mgr.do_check.size)
		
		file = File.join( ENV['TEMP'], 'checkertest')
		begin
			mgr.expand_result(file)
			p File.read(file)
		ensure
			File.rm_f(file)
		end
	end

end
