#
# $Id: rd_publisher_test.rb,v 1.1 2004/01/17 12:02:27 hn Exp $
# Copyright Narushima Hironori. All rights reserved.
#

project_dir = File.dirname(__FILE__).sub(/(com.narucy.webpub.core).+/, '\1')
Dir.chdir project_dir
$: << project_dir + '/scripts/lib'

require 'ftools'
require 'test/unit'
require 'webpub/rftools'
require 'webpub/publisher'
require 'webpub/publish_manager'

=begin

=end
class RDPublisherTest < Test::Unit::TestCase

	def setup
		@proj_location = 'test_resources/webproject001'
		@tmpdir = ENV['TEMP'] + '/rd_publisher_test' + rand(999).to_s
		File.cp_all(@proj_location, @tmpdir)
		
		@config = ENV['TEMP'] + '/pubprop'
		open(@config, 'w') { |fh|
			fh << ['rd', File.dirname(__FILE__) + '/rd_publisher.rb', 'WebPub::RDPublisher'].join(',')
		}
		
		@curr_dir = Dir.pwd
		Dir.chdir(@tmpdir)
	end

	def test_publish_by_rd
		manager = WebPub::PublishManager.new(@config)
		manager.publish( Dir.glob(@tmpdir + '/rd/*.rd') )
		
		assert_equal( 2, Dir.glob(@tmpdir + '/public_html/pub_rd/*.html').size )
		
		assert_not_nil %r!<p>First RD.</p>! === File.readlines(@tmpdir +'/public_html/pub_rd/a.html').join
		lines = File.readlines(@tmpdir +'/public_html/pub_rd/b.html').join
		assert_not_nil %r!<p>2nd RD.</p>! === lines
	end

	def teardown
		Dir.chdir @curr_dir
		begin
			File.delete @config
			File.rm_all(@tmpdir)
		rescue
		end
	end

end
